Get a specific service
curl --request GET \
--url https://b.anny.co/api/v1/services/{service_slug} \
--header 'Authorization: Bearer <token>'import requests
url = "https://b.anny.co/api/v1/services/{service_slug}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b.anny.co/api/v1/services/{service_slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "services",
"id": "2777",
"attributes": {
"name": "Basic Rental",
"slug": "mvwps18k7e0lifyxl7icid4znqdcwq",
"description": null,
"hidden": false,
"is_rental_option": true,
"has_flexible_duration": true,
"auto_duration": false,
"allow_cross_schedule": false,
"requires_booking_description": false,
"requires_address": true,
"requires_mobile": true,
"allow_customer_notes": true,
"allow_more_bookings": true,
"charge_off_schedule": true,
"booking_interval": 15,
"calculation_interval": 30,
"min_duration": 30,
"max_duration": 480,
"uncharged_duration": 60,
"is_full_day": false,
"lead_time": 60,
"padding_before": 15,
"padding_after": 15,
"advance_booking_period": 31,
"price": 3,
"starting_fee": 10,
"currency": "EUR",
"tax_rate": 19,
"is_net_price": false,
"price_hidden": false,
"default_weight": 1,
"created_at": "2021-09-20T13:42:16+00:00",
"updated_at": "2021-10-26T09:22:55+00:00",
"access_code": null,
"settings": {
"payment": {
"isEnabled": false,
"allowOffline": false,
"flow": "pay-offline"
}
},
"email_info": null
},
"links": {
"self": "https://b.anny.co/api/v1/services/2777"
},
"meta": {
"resource_list": "C01 - London, M01 - Aachen, M02 - Köln",
"min_duration_total": 10
}
}
}Service Configuration
Get a specific service
GET
/
api
/
v1
/
services
/
{service_slug}
Get a specific service
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Pfadparameter
Abfrageparameter
Organization ID
Antwort
OK
A bookable service offered on one or more resources. Defines pricing, duration, and booking rules.
Show child attributes
Show child attributes
⌘I